For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Join CommunityStart Trading
HomeOverviewDIME UtilityTradingRisk & LiquidationsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
HomeOverviewDIME UtilityTradingRisk & LiquidationsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
  • General Information
    • Server Location
    • Server URLs
    • Quick Start
    • Authentication
    • Rate Limits
    • Benchmarks
    • API Authentication
    • API Best Practices
  • Production API Reference
        • GETGet staking configuration
        • GETList account staking history
        • GETGet account staking summary
  • Testnet API Reference
  • Useful Resources
    • Paradex Github
    • Paradex CLI
    • Code Samples
    • Python SDK
    • CCXT Integration
Join CommunityStart Trading
Production API ReferenceStaking

Get account staking summary

GET
https://api.prod.paradex.trade/v1/staking/summary
GET
/v1/staking/summary
$curl https://api.prod.paradex.trade/v1/staking/summary \
> -H "Authorization: <apiKey>"
1{
2 "account": "0x1234abcd",
3 "active_stakes": 2,
4 "staking_tier": "Silver",
5 "total_staked": "50000"
6}
Returns the authenticated account's total staked amount, tier, and active stake count
Was this page helpful?
Previous

Get all announcements

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Response

OK
accountstring
Account address
active_stakesinteger
Number of active stake entries
staking_tierstring
Current staking tier name
total_stakedstring
Total active staked DIME

Errors

401
Unauthorized Error